<?php
	
declare(strict_types=1);

namespace D3\ManufacturerInformation\Modules\Application\Model;


use D3\ManufacturerInformation\Application\Model\Constants;
use OxidEsales\Eshop\Application\Model\Manufacturer;
use OxidEsales\Eshop\Application\Model\ManufacturerList;
use OxidEsales\Eshop\Core\Field;

class ManufacturerInfoList extends ManufacturerInfoList_parent
{
	/**
	 * @param Manufacturer|D3ManufacturerLongDesc $oManufacturer
	 * @return void
	 */
	protected function addCategoryFields($oManufacturer)
	{
		parent::addCategoryFields($oManufacturer);
		
		$oManufacturer->oxcategories__oxlongdesc = new Field($oManufacturer->getFieldData(Constants::D3_OXMANUFACTURERS_LONGDESC_FIELDNAME), Field::T_RAW);
	}
}